Skip to content

Add locations to a LocationGroup

Request

Can be used for adding locations to a single LocationGroup.

Security
Authorization
Path
idstringrequired

ID of the LocationGroup that should be updated.

Bodyapplication/jsonrequired

The location IDs to add to the LocationGroup, sent in the request body as a locations array.

locationsArray of integers, (int64)

List of location IDs (Long) to add to the LocationGroup.

Example:
[ 10, 20, 30 ]
curl -i -X POST \
  'https://uberall.com/api/location-groups/{id}/locations' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "locations": [
      10,
      20,
      30
    ]
  }'

Responses

Locations added to LocationGroup successfully

Body*/*
statusstringrequired
Enum:"SUCCESS""PENDING""QUOTA_LIMIT_EXCEED""NOT_AUTHORIZED""FORBIDDEN""BAD_ACCESS_TOKEN""BAD_PRIVATE_KEY""BAD_PUBLIC_KEY""MISSING_PARAMETER""INVALID_PARAMETER"
messagestring

(optional) Holds further information about the response

warningsArray of strings

(optional) Holds further warnings

responseobjectrequired

The actual response object of the response

Response
{
  "status": "SUCCESS",
  "message": "string",
  "warnings": [
    "string"
  ],
  "response": {
    "id": 0,
    "lastUpdated": "2019-08-24T14:15:22Z",
    "name": "string",
    "status": "ACTIVE",
    "creator": 0,
    "salesPartner": 0,
    "locationsCount": 0,
    "locations": [
      {
        "id": 1,
        "name": "Location 1",
        "status": "ACTIVE"
      }
    ],
    "users": [
      {
        "id": 1,
        "email": "jan.didschuneit@uberall.com",
        "firstName": "Jan",
        "lastName": "Didschuneit",
        "role": "ADMIN",
        "status": "VERIFIED"
      }
    ]
  }
}